Longueur TechDraw

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw Dimension Length and the translation is 96% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

TechDraw Dimension Length.svg Longueur

Emplacement du menu
TechDraw → Longueur
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
TechDraw Dimension Horizontale, TechDraw Dimension Verticale


Description

L'outil Longueur ajoute une dimension linéaire à une vue. La dimension peut être la distance entre deux sommets, la longueur d'un bord ou la distance entre deux arêtes. La dimension sera initialement la distance projetée (c.-à-d. comme indiqué sur le dessin), mais elle peut être remplacée par la distance 3D réelle en utilisant l'outil TechDraw Dimension Link.svg Lier une Dimension

TechDraw Dimension Length example.png

Dimension de longueur prise à partir de deux nœuds arbitraires de la vue


Comment faire

  1. Sélectionnez les points ou les arêtes qui définissent votre mesure.
  2. Appuyez sur le bouton TechDraw Dimension Length.png Dimension de Longueur
  3. Une dimension sera ajoutée à la vue. La dimension peut être déplacée à la position désirée.

Limitations

Les objets de dimension sont vulnérables au "Problème de dénomination topologique". Cela signifie que si vous modifiez la géométrie 3D, les faces et les arêtes du modèle peuvent être renommées en interne. Si une dimension est attachée à un bord qui est ensuite modifié, la dimension peut être faussée. En général, il n'est pas possible de garder les dimensions 2D projetées synchronisées avec les objets 3D réels.

Cela signifie qu'en général, il n'est pas possible de garder les cotes 2D projetées synchronisées avec les objets 3D réels si ceux-ci sont modifiés.

Procédure

Si vous souhaitez conserver une vue TechDraw avec des dimensions inaltérables, vous devez dimensionner un objet qui ne changera pas.

  • Sélectionnez l'objet que vous souhaitez projeter, puis basculez vers l'atelier Part et utilisez Part → Part CreateSimpleCopy.svg Créer une copie simple. Cela créera un seul objet non paramétrique, c'est-à-dire qu'il ne sera plus modifiable.
  • Sélectionnez cette copie, puis utilisez TechDraw NewView et ajoutez les dimensions souhaitées.
  • Si le modèle 3D d'origine est modifié, les modifications n'affecteront pas la copie simple ni les dimensions de la vue TechDraw.

Propriétés

Data (Données)

  • DONNÉESX: Position horizontale du texte de la cotation en mm par rapport à la vue.
  • DONNÉESY: Position verticale du texte de la cotation en mm par rapport à la vue.
  • DONNÉESFormatSpec: Permet d'ajouter un texte supplémentaire au texte de la cotation. La valeur de la dimension remplacera %.2f (ou autre format spécifique valide printf).
  • DONNÉESType: Longueur, rayon, diamètre, etc. Normalement non manipulé par l'utilisateur final.
  • DONNÉESMeasureType: True - basé sur la géométrie 3D ou "Projetée" - basé sur le dessin. Normalement non manipulé par l'utilisateur final.
  • DONNÉESOverTolerance: Le montant par lequel la pièce peut dépasser la dimension indiquée.
  • DONNÉESUnderTolerance: Le montant par lequel la pièce peut être inférieure à la dimension indiquée.
  • DONNÉESArbitrary: True - ignorer la valeur réelle et afficher FormatSpec comme valeur. False - utiliser la valeur réelle.

View (Vue)

  • DONNÉESX: Position horizontale du texte de la cotation en mm par rapport à la vue.
  • VUEFont: Le nom de la fonte utilisée pour afficher le texte de la dimension.
  • VUEFontsize: Dimension du texte en mm.
  • VUELineWidth: Dimension de l'épaisseur des lignes de cotation.
  • VUEColor: Couleur des lignes et du texte de cotation.

Script

Voir aussi : TechDraw API et FreeCAD Scripts de base.

L'outil Dimension Length peut être utilisé dans des macros et à partir de la console Python à l'aide des fonctions suivantes:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Distance"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)


Notes

  • Sélection du bord. Les bords peuvent être difficiles à sélectionner. Vous pouvez ajuster la zone de sélection des arêtes à l’aide du paramètre "/Mod/TechDraw/General/EdgeFuzz" (voir Std_DlgParameter). C'est un nombre sans dimension. La valeur par défaut est 10.0. Des valeurs dans la plage 20-30 faciliteront considérablement la sélection des arêtes. Un grand nombre entraînera des chevauchements avec d'autres éléments de dessin.